<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number 57</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.57:</b>Write a JavaScript program to create a new string of specified copies (positive number) of a given string.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Enter The Text You Want to Copy" style="width: 250px; margin-top: 5px;"><br>
		<input type="number" id="num" placeholder="Number of times you want copy That" style="width: 250px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	function generate() {
		var txt= document.getElementById('txt').value;
		var num= document.getElementById('num').value;
		if (num>0) {
			document.getElementById('demo').innerHTML=
				"The Result is: <br>" + num + " Times copied <br>" + txt.repeat(num) + "\n";
		} else {
			document.getElementById('demo').innerHTML=
				"Are You Serious ?<br>Negative times copy that???<br> Are you sure ??"
		}
	}
	</script>
</body>
</html>
